import gab.opencv.*;
import processing.video.*;
import java.awt.*;

Capture video;
OpenCV opencv;

void setup() {
  size(640, 480);
  video = new Capture(this, 640, 480);
  opencv = new OpenCV(this, 640, 480);
  opencv.loadCascade(OpenCV.CASCADE_EYE);  
  video.start();
}

void draw() {
  background(200);
  opencv.loadImage(video);
  //image(video, 0, 0 );
  Rectangle[] faces = opencv.detect();
  for (int i = 0; i < faces.length; i++) {
    copy(video, faces[i].x, faces[i].y, faces[i].width, faces[i].height,faces[i].x, faces[i].y, faces[i].width, faces[i].height);
  }
}

void captureEvent(Capture c) {
  c.read();
}

