float x, y, ox, oy, d;
float stepSize;
PFont font;
String letters = "ah! que j'aime Angouleme, l'enjmin et processing";
int counter = 0;

void setup() {
  size(600,600);
  background(255);
  fill(0);
  smooth();
  cursor(CROSS);
  font = createFont("Arial",10);
  textFont(font,20);
  textAlign(LEFT);
  stepSize = 0;
  x = mouseX;
  y = mouseY;
  ox = x;
  oy = y;
}

void draw() {
  x = mouseX;
  y = mouseY;
  d = dist(x,y, ox,oy);
  
  if (d >= stepSize) {
   float angle = atan2(y-oy, x-ox); 
   pushMatrix();
   translate(x, y);
   rotate(angle);
   //textFont(font,fontSizeMin+d);
   char newLetter = letters.charAt(counter);
   text(newLetter, 0, 0);
   counter = (counter+1)%letters.length();
   popMatrix();

   stepSize = textWidth(newLetter);
   ox = x;
   oy = y;
  }
}


