// reprise du code fait pour l'exam
// de nsy116 en fev 2015
// pour etudier les vues fisheye
// PC juin 2015

PImage img;

void setup(){
  img = loadImage("photo.jpg");
  size(img.width, img.height);
}

void draw(){
  int cx = mouseX;
  int cy = mouseY;
  for (int x = 0; x < img.width; x++) {
   for (int y = 0; y < img.height; y++) {
    // conversion en polaire
    float rx = x-cx;
    float ry = y-cy;
    float r = sqrt(rx*rx+ry*ry);
    float a = atan2(ry,rx);
    // transformation fisheye
    float oa = a; 
    float or = r;
    if (r<50) or = 50*pow(r/50,3.0);
    // variante brutale loupe x2
    // if (r<50) or = 0.5*r;

    // conversion en cartesien
    float ox = cx + or*cos(oa);
    float oy = cy + or*sin(oa);
    // affichage du pixel correspondant
    color c = img.get((int)ox,(int)oy);
    stroke(c);
    point(x,y);
  }
 }
}
