// reprise du code fait pour l'exam
// de nsy116 en fev 2015
// pour etudier les vues fisheye
// PC juin 2015

// essai d'acceleration 
// en limitant le traitement
// au rectangle DIM*DIM qui entoure la souris

int DIM=100;
PImage img;

void setup(){
  img = loadImage("lenna.gif");
  //img = loadImage("matrice.png");
  //img = loadImage("newsmap.png");
  size(img.width, img.height);
}

void draw(){
  image(img,0,0);
  int cx = mouseX;
  int cy = mouseY;
  for (int x = -DIM; x < DIM; x++) {
   for (int y = -DIM; y < DIM; y++) {
    // conversion en polaire
    // la souris est le centre
    float rx = x;
    float ry = y;
    float r = sqrt(rx*rx+ry*ry);
    float oa = atan2(ry,rx);
    // transformation fisheye
    float or = r;
    if (r<DIM) or = DIM*pow(r/DIM,3.0);
    // variante brutale loupe x2
    // if (r<50) or = 0.5*r;
    // conversion en cartesien
    float ox = cx + or*cos(oa);
    float oy = cy + or*sin(oa);
    // affichage du pixel correspondant
    color c = img.get(int(ox),int(oy));
    stroke(c);
    point(cx+x,cy+y);
  }
 }
}
