PImage img;
int Dx, Dy;

void setup() {
  img = loadImage("truc.jpg");
  println(img.width+" x "+img.height);
  size(img.width, img.height); //size should be multiple of img width and height
  smooth();
  Dx = int(img.width / 20);
  Dy = int(img.height / 20);
}

void draw() {
  background(255);
  for (int x = 0; x < img.width; x+=Dx) {
    for (int y = 0; y < img.height; y+=Dy) {
      // get current color
      color c = img.pixels[y*img.width+x];
      // greyscale conversion
      int greyscale =round(red(c)*0.222+green(c)*0.707+blue(c)*0.071);
      float w6 = map(greyscale, 0,255, 25,0);
      noStroke();
      fill(c);
      ellipse(x, y, w6, w6); 
    }
  }
}


