import processing.video.*; 
Capture video; 
float txe = 0;
float tye = 0;
float alpha = 0.10;

void setup(){ 
  size(640, 480); 
  video = new Capture(this, width, height, 30); 
  //video.start(); // pour Processing 2.0 et +
  noFill(); 
  smooth(); 
} 
void draw() { 
if (video.available()){
  background(250);
  float hmax = 0;                
  int tx = 0; 
  int ty = 0; 
  video.read(); 
  video.loadPixels(); 
  int index = 0; 
  for (int y = 0; y < video.height; y++) { 
   for (int x = 0; x < video.width; x++) { 
    float h = hue(video.pixels[index]); 
    // la teinte max donne du rouge
    if (h > hmax){ 
     hmax = h; tx = x; ty = y; 
    } 
    index++; 
   } 
  } 
 // feedback graphique 
 image(video, 0, 0, width, height); 
 txe = (1-alpha)*txe + alpha*tx;
 tye = (1-alpha)*tye + alpha*ty;
 fill(255,255,0,50); 
 ellipse(txe, tye, 100, 100); 
}
}
