// d'apres http://www.flong.com/blog/2011/free-video-delay-in-processing/

import processing.video.*;
Capture myCap;
int capW = 640; //320;
int capH = 480; //240;
 
int nDelayFrames = 50; //100; // about 3 seconds
int currentFrame = nDelayFrames-1;
PImage frames[];
 
void setup() {
  size (640, 480);
  myCap = new Capture(this, capW, capH);
  myCap.start();
  frames = new PImage[nDelayFrames];
  for (int i=0; i<nDelayFrames; i++) {
    frames[i] = createImage(capW, capH, ARGB);
  }
}
 
void draw() {
  if (myCap.available()) {
    myCap.read();
    frames[currentFrame].loadPixels();
    arrayCopy (myCap.pixels, frames[currentFrame].pixels);
    frames[currentFrame].updatePixels();
    currentFrame = (currentFrame-1 + nDelayFrames) % nDelayFrames;
  }
  image (frames[currentFrame], 0, 0, width, height);
}
